# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/App.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojolicious/Commands.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name MojoX-ConfigAppStart
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Start a Mojolicious application with Config::App
Group: Development/Perl
License: perl
URL: https://github.com/gryphonshafer/MojoX-ConfigAppStart

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRYPHON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The goal of this module is to provide a simplified way to spin up Mojolicious
applications based on settings from a the Config::App manpage configuration system.

If you have either `MOJO_MODE' or `PLACK_ENV' defined as enviornment
variables, the value will be used as the the Config::App manpage enviornment definition.
If not defined at all, then "development" will be used. What this means in
practice is that from the commandline, calling `morbo' or `hypnotoad'
typically does what you want and expect.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/M*

%changelog
* Wed Jun 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

